import numpy as np
from dyson_equalizer.plots import plot_mp_density

m, n = 100, 1000
X = np.random.normal(size=(m, n))
Y = X @ X.T / n
eigs = sorted(np.linalg.eigvals(Y), reverse=True)

plot_mp_density(eigs, gamma=m/n)